import type { DId } from '../../utils/types';
import type { TreeNodeStatus, TreeOrigin } from './abstract-node';
import { AbstractTreeNode } from './abstract-node';
export declare class SingleTreeNode<ID extends DId, T extends TreeOrigin> extends AbstractTreeNode<ID, T> {
    private getId;
    private opts;
    children?: SingleTreeNode<ID, T>[];
    protected _id: ID;
    protected _status: TreeNodeStatus;
    protected _disabled: boolean;
    constructor(origin: T, getId: (origin: T) => ID, opts: {
        disabled?: boolean;
    });
    private _setUpChildren;
    protected _calculateStatus(checked: ID | null): void;
}
